> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# Create

POST https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/share-link
Content-Type: application/json

Reference: https://developer.icepanel.io/api-reference/share-link/create

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)

### Body (application/json)

This endpoint expects a ShareLinkRequired.

- `protected` (boolean, required)
- `password` (string, optional)
- `draftId` (string, optional, nullable)

## Response

### 200

OK

- `defaultUrl` (string, required) — Share link url with default options encoded in the path
- `shareLink` (ShareLink, required)
- `url` (string, required) — Share link url prefix, you need to append the options short id onto a trailing path segment

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 409 Conflict Error

Conflict

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 503 Service Unavailable Error

Service Unavailable

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### ShareLink

- `protected` (boolean, required)
- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `id` (string, required)
- `landscapeId` (string, required)
- `shortId` (string, required)
- `updatedAt` (datetime, required)
- `updatedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `updatedById` (string, required)
- `versionId` (string, required)
- `password` (string, optional)
- `draftId` (string, optional, nullable)

## Examples

**Request**

```json
{
  "protected": true
}
```

**Response**

```json
{
  "defaultUrl": "string",
  "shareLink": {
    "protected": true,
    "createdAt": "2024-01-15T09:30:00Z",
    "createdBy": "user",
    "createdById": "string",
    "id": "string",
    "landscapeId": "string",
    "shortId": "string",
    "updatedAt": "2024-01-15T09:30:00Z",
    "updatedBy": "user",
    "updatedById": "string",
    "versionId": "string",
    "password": "string",
    "draftId": "string"
  },
  "url": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/share-link"

payload = { "protected": True }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/share-link"

	payload := strings.NewReader("{\n  \"protected\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/share-link");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"protected\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```